TON CenterV3Dns
applications/api/toncenter/v3/dns/get-dns-records
Query Parameters
wallet?string
Wallet address in any form. DNS records that contain this address in wallet category will be returned.
domain?string
Domain name to search for. DNS records with this exact domain name will be returned.
limit?integer
Limit number of queried rows. Use with offset to batch read.
Default
100Format
int32Range
1 <= value <= 1000offset?integer
Skip first N rows. Use with limit to batch read.
Default
0Format
int32Range
0 <= valueResponse Body
application/json
application/json
curl -X GET "https://example.com/api/v3/dns/records"{
"address_book": {
"property1": {
"domain": "string",
"interfaces": [
"string"
],
"user_friendly": "string"
},
"property2": {
"domain": "string",
"interfaces": [
"string"
],
"user_friendly": "string"
}
},
"records": [
{
"dns_next_resolver": "string",
"dns_site_adnl": "string",
"dns_storage_bag_id": "string",
"dns_wallet": "string",
"domain": "string",
"nft_item_address": "string",
"nft_item_owner": "string"
}
]
}{
"code": 0,
"error": "string"
}Last updated on